UbixOS V2 2.0

Data Fields
sys_gettimeofday_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_gettimeofday_args:

## Data Fields
struct timeval * | tp
char | tp_l_ [0]
char | tp_r_ [(sizeof(register_t)<=sizeof(struct timeval *) ? 0 :sizeof(register_t) - sizeof(struct timeval *))]
struct timezone * | tzp
char | tzp_l_ [0]
char | tzp_r_ [(sizeof(register_t)<=sizeof(struct timezone *) ? 0 :sizeof(register_t) - sizeof(struct timezone *))]

## Detailed Description

Definition at line 689 of file sysproto_posix.h.

## Field Documentation

## ◆ tp

struct timeval* sys_gettimeofday_args::tp

Definition at line 691 of file sysproto_posix.h.

Referenced by sys_gettimeofday().

## ◆ tp_l_

char sys_gettimeofday_args::tp_l_[0]

Definition at line 690 of file sysproto_posix.h.

## ◆ tp_r_

char sys_gettimeofday_args::tp_r_[(sizeof(register_t)<=sizeof(struct timeval *) ? 0 :sizeof(register_t) - sizeof(struct timeval *))]

Definition at line 692 of file sysproto_posix.h.

## ◆ tzp

struct timezone* sys_gettimeofday_args::tzp

Definition at line 694 of file sysproto_posix.h.

Referenced by sys_gettimeofday().

## ◆ tzp_l_

char sys_gettimeofday_args::tzp_l_[0]

Definition at line 693 of file sysproto_posix.h.

## ◆ tzp_r_

char sys_gettimeofday_args::tzp_r_[(sizeof(register_t)<=sizeof(struct timezone *) ? 0 :sizeof(register_t) - sizeof(struct timezone *))]

Definition at line 695 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h